services:
  dockpeek:
    container_name: Dockpeek
    image: ghcr.io/dockpeek/dockpeek:latest
    healthcheck:
      test: timeout 10s bash -c ':> /dev/tcp/127.0.0.1/8000' || exit 1
      interval: 10s
      timeout: 5s
      retries: 3
      start_period: 90s
    environment:
      SECRET_KEY: "REDACTED_SECRET_KEY"  # pragma: allowlist secret
      USERNAME: vish
      PASSWORD: REDACTED_PASSWORD  # pragma: allowlist secret
      DOCKER_HOST: unix:///var/run/docker.sock
    ports:
      - 3812:8000
    volumes:
      - /var/run/docker.sock:/var/run/docker.sock
    restart: on-failure:5
